#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
# Call setupCmdLine script

CUR_DIR=`pwd`
ISA_DIR=`dirname ${0}`
BASE_DIR="${ISA_DIR}"/../
cd "${BASE_DIR}"
BASE_HOME=`pwd`
cd "${CUR_DIR}"

if [ -e "${BASE_HOME}"/ObjectGrid/bin/setupCmdLine.sh ]; then
      . "${BASE_HOME}"/ObjectGrid/bin/setupCmdLine.sh
else
   if [ -e "${BASE_HOME}"/bin/setupCmdLine.sh ]; then
      export JAVA_HOME="${BASE_HOME}"/java
   fi
fi

# If OBJECTGRID_HOME is not defined then XS is in WAS Environment
if [ -z "${OBJECTGRID_HOME}" ]; then
   # If JAVA_HOME is not defined, then set to peer directory, else leave as is
   if [ -z "${JAVA_HOME}" ]; then
       export JAVA_HOME="${BASE_HOME}"/java
   fi
else
   # OBJECTGRID_HOME is defined so XS is in Stand Alone Environment
   # If JAVA_HOME is defined, add jre to it, otherwise point to peer java directory
   if [ -d "${JAVA_HOME}/jre" ]; then
       export JAVA_HOME="${JAVA_HOME}"/jre
   else
       export JAVA_HOME="${BASE_HOME}"/java/jre
   fi
fi
